---
lang: en
title: 'API docs: rest.resolvedroute'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/rest
permalink: /doc/en/lb4/apidocs.rest.resolvedroute.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/rest](./rest.md) &gt; [ResolvedRoute](./rest.resolvedroute.md)

## ResolvedRoute interface

A route with path parameters resolved

**Signature:**

```typescript
export interface ResolvedRoute extends RouteEntry 
```
**Extends:** [RouteEntry](./rest.routeentry.md)

## Properties

<table><thead><tr><th>

Property


</th><th>

Modifiers


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[pathParams](./rest.resolvedroute.pathparams.md)


</td><td>

`readonly`


</td><td>

[PathParameterValues](./rest.pathparametervalues.md)


</td><td>


</td></tr>
<tr><td>

[schemas](./rest.resolvedroute.schemas.md)


</td><td>

`readonly`


</td><td>

SchemasObject


</td><td>

Server/application wide schemas shared by multiple routes, e.g. model schemas. This is a temporary workaround for missing support for $ref references, see https://github.com/loopbackio/loopback-next/issues/435


</td></tr>
</tbody></table>

